/*
 * EveryBuddy 
 *
 * Copyright (C) 1999, Torrey Searle <tsearle@uci.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * status.h
 */

#ifndef __STATUS__
#define __STATUS__

#include <gtk/gtk.h>
#include "account.h"

enum list_type
{
	LIST_ONLINE,
	LIST_EDIT
};

void add_contact_and_accounts(struct contact * c);
void add_contact_line(struct contact * ec);
void add_account_line(eb_account * ea);
void add_group_line(grouplist * eg);
void remove_account_line(eb_account * ea);
void remove_contact_line(struct contact * ec);
void remove_group_line(grouplist * eg);
void buddy_update_status(eb_account * ea);
void contact_update_status(struct contact * ec);
void buddy_login(eb_account * ea);
void buddy_logoff(eb_account * ea);

void eb_status_window();
GtkWidget* MakeStatusButton(eb_local_account * ela);
void refresh_contact_list();
GtkWidget * MakeEditContactList();
void update_user(eb_account * ea );

#endif

